CVE-2004-2338
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:51
NMCO    

[原文]OpenBSD 3.3 and 3.4 does not properly parse Accept and Deny rules without netmasks on big-endian 64-bit platforms such as SPARC64, which may allow remote attackers to bypass access restrictions.


[CNNVD]OpenBSD httpd访问规则绕过漏洞(CNNVD-200412-635)

        
        OpenBSD httpd访问模块可控制用户的访问。
        OpenBSD httpd在处理没有子网掩码的IP地址时存在问题,远程攻击者可以利用这个漏洞绕过规则设置,未授权访问受限资源。
        在解析httpd访问规则的允许/拒绝规则时存在一个漏洞,使用不带子网掩码的IP地址在big endian 64位系统平台上会导致规则匹配失败,此漏洞只影响Sparc64。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:openbsd:openbsd:3.4OpenBSD 3.4
cpe:/o:openbsd:openbsd:3.3OpenBSD 3.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2338
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2338
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-635
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/9867
(PATCH)  BID  9867
http://www.openbsd.org/errata34.html
(PATCH)  CONFIRM  http://www.openbsd.org/errata34.html
http://www.openbsd.org/errata33.html
(PATCH)  CONFIRM  http://www.openbsd.org/errata33.html

- 漏洞信息

OpenBSD httpd访问规则绕过漏洞
高危 设计错误
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        OpenBSD httpd访问模块可控制用户的访问。
        OpenBSD httpd在处理没有子网掩码的IP地址时存在问题,远程攻击者可以利用这个漏洞绕过规则设置,未授权访问受限资源。
        在解析httpd访问规则的允许/拒绝规则时存在一个漏洞,使用不带子网掩码的IP地址在big endian 64位系统平台上会导致规则匹配失败,此漏洞只影响Sparc64。
        

- 公告与补丁

        厂商补丁:
        OpenBSD
        -------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        OpenBSD OpenBSD 3.3:
        OpenBSD Patch 019_httpd2.patch
        ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.3/common/019_httpd2.patch
        OpenBSD OpenBSD 3.4:
        OpenBSD Patch 014_httpd2.patch
        ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.4/common/014_httpd2.patch

- 漏洞信息

19837
OpenBSD Accept/Deny Rule Parsing Weakness
Remote / Network Access Infrastructure
Loss of Confidentiality
Exploit Public

- 漏洞描述

When OpenBSD is deployed on big endian byte ordered platforms (sparc64), it contains a flaw that may allow a malicious user to bypass httpd access module allow/deny rules. The issue is triggered when IP addresses are used without a netmask causing the rules to fail to match. It is possible that the flaw may allow unauthorized access resulting in a loss of confidentiality.

- 时间线

2004-03-13 Unknow
2004-03-13 Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, OpenBSD has released patches to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站